# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Added
- Enhanced project documentation and organization
- Project governance guidelines
- Security policy and guidelines
- Architecture documentation

## [1.0.0] - Initial Release
### Added
- LLM-Enhanced OCR capabilities
- Automatic title & tag generation
- Automatic correspondent generation
- Custom prompt templates
- Docker deployment support
- Web UI for document management
- Support for multiple LLM providers (OpenAI, Ollama)
- Configurable environment variables
- Integration with paperless-ngx
- Manual and automatic processing modes
- Basic documentation and setup guides

### Security
- API token authentication
- Environment-based configuration
- Docker container isolation

For earlier history, please see the git commit log.
